Mercurial > emacs
annotate lispintro/mkinstalldirs @ 56535:fee4457701d8
Various changes in addition to:
(Creating Frames): Expand and clarify description of `make-frame'.
(Window Frame Parameters): Either none or both of the `icon-left'
and `icon-top' parameters must be specified. Put descriptions of
`menu-bar-lines' and `toolbar-lines' closer together and change
them accordingly.
(Frame Titles): `multiple-frames' is not guaranteed to be accurate
except while processing `frame-title-format' or `icon-title-format'.
(Deleting Frames): Correct description of `delete-frame'.
Non-nil return values of `frame-live-p' are like those of `framep'.
(Frames and Windows): mention return value of
`set-frame-selected-window'.
(Visibility of Frames): Mention `force' argument to
`make-frame-invisible'. `frame-visible-p' returns t for all
frames on text-only terminals.
(Frame Configurations): Restoring a frame configuration does not
restore deleted frames.
(Window System Selections): `x-set-selection' returns DATA.
(Resources): Add example.
(Display Feature Testing): Clarify descriptions of
`display-pixel-height', `display-pixel-width', `x-server-version'
and `x-server-vendor'.
author | Luc Teirlinck <teirllm@auburn.edu> |
---|---|
date | Sat, 24 Jul 2004 23:47:39 +0000 |
parents | 746c40973d25 |
children | eb7e8d483840 |
rev | line source |
---|---|
41418 | 1 #! /bin/sh |
2 # mkinstalldirs --- make directory hierarchy | |
3 # Author: Noah Friedman <friedman@prep.ai.mit.edu> | |
4 # Created: 1993-05-16 | |
5 # Public domain | |
6 | |
7 errstatus=0 | |
8 | |
9 for file | |
10 do | |
11 set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'` | |
12 shift | |
13 | |
14 pathcomp= | |
15 for d | |
16 do | |
17 pathcomp="$pathcomp$d" | |
18 case "$pathcomp" in | |
19 -* ) pathcomp=./$pathcomp ;; | |
20 esac | |
21 | |
22 if test ! -d "$pathcomp"; then | |
23 echo "mkdir $pathcomp" 1>&2 | |
24 | |
25 mkdir "$pathcomp" || lasterr=$? | |
26 | |
27 if test ! -d "$pathcomp"; then | |
28 errstatus=$lasterr | |
29 fi | |
30 fi | |
31 | |
32 pathcomp="$pathcomp/" | |
33 done | |
34 done | |
35 | |
36 exit $errstatus | |
37 | |
38 # mkinstalldirs ends here |